# Class WakeupOnSensorEntry

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupCriterion
javax.media.j3d.WakeupOnSensorEntry

public final class WakeupOnSensorEntry extends WakeupCriterion
Class specifying a wakeup on first sensor intersection with the specified boundary.

## Constructor Summary

Constructors
Constructor
Description
`WakeupOnSensorEntry(Bounds region)`
Constructs a new WakeupOnEntry criterion.

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`getBounds()`
Returns this object's bounds specification
`Sensor`
`getTriggeringSensor()`
Retrieves the Sensor object that caused the wakeup.

### Methods inherited from class WakeupCriterion

`hasTriggered`

### Methods inherited from class WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupOnSensorEntry

public WakeupOnSensorEntry(Bounds region)
Constructs a new WakeupOnEntry criterion.

Parameters:
  `region` - the region that will trigger a wakeup if a Sensor intersects.

## Method Details

### getBounds

public Bounds getBounds()
Returns this object's bounds specification

Returns:
  the bounds used in constructing this WakeupCriterion.

### getTriggeringSensor

public Sensor getTriggeringSensor()
Retrieves the Sensor object that caused the wakeup.

Returns:
  the triggering Sensor object
Throws:
  `IllegalStateException` - if not called from within a behavior's processStimulus method which was awoken by a sensor entry.
Since:
  Java 3D 1.2